tolua++5.1(1)

NAME
tolua++5.1 - lua language binding development helper program

SYNOPSIS
tolua++5.1 [ options ] input_file

DESCRIPTION
tolua++5.1 is a program to help in building applications using the tolua++5.1 library for the Lua scripting language.

OPTIONS
Command line options are:

-v  Print version information.

-o file
    Set output file; default is stdout.

-H file
    Create include file.

-n name
    Set package name; default is input file root name.

-p  Parse only.

-P  Parse and print structure information (for debugging).

-S  disable support for c++ strings

-1  substract 1 to operator[] index (for compatibility with tolua5)

-L file
    run lua file (with dofile()) before doing anything

-D  disable automatic exporting of destructors for classes that have constructors (for compatibility with tolua5)

-W  disable warnings for unsupported features (for compatibility with tolua5)

-C  disable cleanup of included lua code (for easier debugging)

-E value[=value]
    add extra values to the luastate

-t  export a list of types asociates with the C++ typeid name

-q  don't print warnings to the console

-h  Print usage information.

Should the input file be omitted, stdin is assumed; in that case, the package name must be explicitly set.

AUTHOR
This manual page was originally written by Filip Van Raemdonck <mechanix@debian.org> and Jimmy Kaplowitz <jimmy@debian.org> for the Debian GNU/Linux system. It was expanded for tolua++5.1 by Cesare Tirabassi <norsetto@ubuntu.com> for the Ubuntu GNU/Linux system (but may be used by others).